Description
Hi Patrick,

with some changes in our work, | wanted to use Velocity for printing now.
| totally love, what | have discovered so far.

But there ist a (for me) big bug. | want to print my reports in A4 portrait (most of them). This is simply not possible.
The preview looks perfect, but what is printed, always has a large margin (i think, its just a small format printed on A4).

| have checked it on Servoy 6.1.6 / 8.1.2, Java 7 / 8 (latest), and Windows 7 / 10 ... always the same thing.

Let's make it short: | have checked older versions of the plugin, too.
Everything is fine up to version 3.5.26, no margin, everything printed perfectly ... with version 3.5.27 and up the problem begins.

As mentioned before, it looks like the report is zoomed to a smaller format, maybe letter and then printed 1:1 on A4. Savinig the
report as PDF is like a zoomed in version of the "small" format.

| have added 2 versions of my report ... it is in an early state, so there is some errors on it, but you can see, what problem i have.
| hope, you can help me here.

Regards

Silvio

History

#1 - 03/20/2017 08:56 PM - Patrick Talbot
- Assignee set to Armin Schéttner

- Priority changed from Urgent to Normal

Please don't set the priority to a ticket to urgent unless you are prepared to sponsor the fix.
Please attach your template as well so that | can have a look at the CSS you use to define the page properties.

#2 - 03/20/2017 08:56 PM - Patrick Talbot

- Status changed from New to Feedback

#3 - 03/21/2017 09:49 AM - Armin Schéttner

- File test.html added

- File test_rendered.html added

sorry, | didn't know that about priority.

| have checked the rendered template in my browser, it works fine there.

Also the preview is perfect. The problem occures only, when it comes to printing / saving.

The pdf contains a zoomed in version and printing produces a small version with large margin.

Both, report and preview are set to plugins.VelocityReport. PRINTSIZE.ISO_A4.
The CSS is very limited and in the head of the template, as | am in an early state of developing and tried to figure out, if it's my file or the plugin.

| have checked the issue now (in developer) with:

windows 7, windows 10, macOS
Servoy 6.1.6, Servoy 8.1.2

plugin-Versions 2, 3.5, 3.5.26, 3.5.27 and some newer, until the newest one.

it works in version 3.5.26 and older on all OS and both servoy versions

#4 - 02/28/2019 10:00 PM - Patrick Talbot
- Status changed from Feedback to Parked

Files

V3_5_26.pdf 67.9 KB 03/20/2017 Armin Schoéttner
V3_5_27.pdf 67.8 KB 03/20/2017 Armin Schoéttner
test.html 1.04 KB 03/21/2017 Armin Schéttner
test_rendered.html 1.32 KB 03/21/2017 Armin Schoéttner
